<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% TimeEntryActivity
   .includes(:time_entry_activities_projects)
   .order(:name)
   .each do |activity| %>
  <div class="form--field">
    <%= styled_label_tag "time_entry_activities_project_#{activity.id}_active", activity.name %>
    <div class="form--field-container" >
      <%= hidden_field_tag "time_entry_activities_project[][activity_id]",
                           activity.id %>
      <%= styled_check_box_tag "time_entry_activities_project[][active]",
                               1,
                               activity.active_in_project?(@project),
                               id: "time_entry_activities_project_#{activity.id}_active" %>
    </div>
  </div>
<% end %>

<div class="generic-table--action-buttons">
  <%= styled_button_tag t(:button_save), class: '-primary -with-icon icon-checkmark' %>
</div>
